Open Backtest Docs
APIProjects

Create a project

POST
/projects

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "symbol": "string",    "timeframe": "1m"  }'
{  "project": {    "id": "string",    "name": "string",    "symbol": "string",    "timeframe": "string",    "createdAt": 0,    "updatedAt": 0  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}